### Method

# Camel Session set_junk_filter

since: 3.2

#### Declaration [src]

    void
    camel_session_set_junk_filter (
      CamelSession* session,
      CamelJunkFilter* junk_filter
    )

#### Description [src]

Installs the `CamelJunkFilter` instance used to classify messages as junk or not junk during filtering.

Note that `CamelJunkFilter` itself is just an interface. The application must implement the interface and install a `CamelJunkFilter` instance for junk filtering to take place.

Available since: 3.2

Sets property | `Camel.Session:junk-filter`

#### Parameters

`junk_filter`

  Type: `CamelJunkFilter`

  A `CamelJunkFilter`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.